Loading...
Searching...
No Matches
gtsam::TbbOpenMPMixedScope Class Reference

## Detailed Description

An object whose scope defines a block where TBB and OpenMP parallelism are mixed.

In such a block, we use default threads for TBB, and p/2 threads for OpenMP. If GTSAM is not compiled to use both TBB and OpenMP, this has no effect.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/types.h